Summary: A program for synchronizing files over a network.
Name: rsync
Version: 2.4.6
Release: 1.0.2
Group: Administration/Tools
Source:	ftp://rsync.samba.org/pub/rsync/rsync-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root
Copyright: GPL

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.

%prep
%setup -q

%build

%configure

make CCOPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5

# strip rsync
# make prefix=$RPM_BUILD_ROOT/%{_prefix} install
install -s -m 0750 rsync $RPM_BUILD_ROOT/%{_prefix}/bin
install -c -m 0644 rsync.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -c -m 0644 rsyncd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README tech_report.tex
%attr(0711,root,root)	%{_prefix}/bin/rsync
%doc %{_mandir}/man1/rsync.1*
%doc %{_mandir}/man5/rsyncd.conf.5*

%changelog
* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes
- upgrade to 2.4.6

* Sun Jul 16 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to rsync for Guardian Digital
	Linux Lockbox

* Mon Jun 19 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version
